app/Http/routes.php
<?php

/*
|--------------------------------------------------------------------------
| Routes File
|--------------------------------------------------------------------------
|
| Here is where you will register all of the routes in an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the controller to call when that URI is requested.
|
*/

Route::get('/', function () {
    return view('welcome');
});

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| This route group applies the "web" middleware group to every route
| it contains. The "web" middleware group is defined in your HTTP
| kernel and includes session state, CSRF protection, and more.
|
*/

Route::group(['middleware' => ['web']], function () {
	Route::get('/', 'PostsController@index');
	Route::resource('users', 'UsersController');
	Route::resource('events', 'EventsController');
	Route::resource('posts', 'PostsController');
	Route::resource('comments', 'CommentsController');
	Route::resource('interests', 'InterestsController');
	Route::resource('event_types', 'EventTypesController');
	Route::get('farmers/{id}', 'UsersController@farmers');
});

resources/views/farmers/posts.blade.php
  @if(isset($posts))
  @foreach($posts as $post)
  <div class="col-xs-12 sfondo-bianco" style="margin-bottom: 16px;">
    <div class="row">
      <div class="col-xs-12" style="padding: 8px">
        <img src="{{ asset('uploads/images/utente.jpg') }}" class="img-responsive pull-left img-circle mini-avatar" />
        <span class="pull-left text-middle" 
        style="line-height: 60px; padding: 0 16px;color: grey; font-size: 20px">Cosa vuoi seminare oggi?</span>
        <span class="pull-right icone icone-appunti" style="transform: scale(2.5);margin: 24px 16px 0 0;"></span>
      </div>
    </div>
  </div>
  <div class="col-xs-12 sfondo-bianco">
    <div class="row">
      <div class="col-xs-12" style="padding: 8px">
        <img src="{{ asset($post->user->image) }}" class="img-responsive pull-left img-circle mini-avatar" />
        <span class="pull-left text-middle" style="line-height: 60px; padding: 0 16px;">{{ $post->user->name }}</span>
        <span class="pull-left icone icone-semi-verde" style="transform: scale(0.5);"></span>
      </div>
    </div>
    <div class="row">
      <div class="col-xs-12">
        {{ $post->content }}
      </div>
    </div>
    @if(isset($post->image))
    <div class="row">
      <div class="col-xs-12">
        <img src="{{ asset($post->image) }}" class="img-responsive" />
      </div>
    </div>
    @endif
    <div class="row" style="margin: 16px;">
      <div class="col-xs-2"><span class="icone icone-connect text-left"></span></div>
      <div class="col-xs-offset-3 col-xs-2"><span class="icone icone-cuore text-center"></span></div>
      <div class="col-xs-offset-4 col-xs-1"><span class="icone icone-comment text-right" data-textarea="text-{{ $post->id }}"></span></div>
    </div>
    <div class="row" style="display:none;" id="text-{{ $post->id }}">
      <div class="col-xs-12">
        <form>
          <div class="form-group">
            <textarea style="width: 100%" placeholder="Scrivi il tuo commento..."></textarea>
            <a class="btn sfondo-arancio testo-bianco" href="#">INVIA</a>
          </div>
        </form>
      </div>
    </div>
  </div>
  @endforeach
  @endif

resources/views/farmers/show.blade.php
<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>PickUp The Planet</title>

		<!-- Bootstrap CSS -->
		<link href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css" rel="stylesheet">
		<link rel="stylesheet" href="//code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css">
    	<link href="{{ asset('css/app.css') }}" rel="stylesheet">

    	<link href='https://fonts.googleapis.com/css?family=Raleway' rel='stylesheet' type='text/css'>

		<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
		<!--[if lt IE 9]>
			<script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
			<script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
		<![endif]-->
	</head>
	<body>
    @include('layouts.navbar')
		<div class="container main">
      <div class="row">
        @include('farmers.sidebar-prod')
        <div id="dashboard-centro" class="col-sm-6">
          <div>
			    @include('farmers.posts')
          </div>
        </div>
        @include('farmers.sidebar-eventi')
      </div>
		</div>

		<!-- jQuery -->
		<script src="//code.jquery.com/jquery.js"></script>
		<script src="//code.jquery.com/ui/1.11.4/jquery-ui.js"></script>
		<!-- Bootstrap JavaScript -->
		<script src="//netdna.bootstrapcdn.com/bootstrap/3.1.1/js/bootstrap.min.js"></script>

		<script src="{{ asset('js/app.js') }}"></script>
	</body>
</html>

resources/views/farmers/sidebar-eventi.blade.php
<div id="sidebar-eventi" class="col-sm-3 sfondo-bianco center-block padded-updown">
  <!-- Sidebar Eventi -->

  	<div class="row">
  		<div class="col-xs-12 sfondo-arancio">
		  <span class="icone icone-foglio pull-left"></span>
		    <h3 class="panel-title testo-grande">&nbsp;eventi organizzati</h3>
		</div>
		  <div class="col-xs-12">
	  		<div class="evento">
		  		<div class="row" style="display:table;">
		  			<div class="col-xs-6 sfondo-viola same-height">
		  				<h3 class="testo-bianco">EVENTO IN FARM</h3>
		  			</div>
		  			<div class="col-xs-6 no-padding same-height">
		  				<img class="img-responsive" src="{{ asset('uploads/images/Schermata 2016-03-20 alle 08.37.27.png') }}" />
		  			</div>
		  		</div>
		  		<div class="row">
		  			<div class="col-xs-12">
		  				<h2>Portati la Zappa</h2>
		  			</div>
		  			<div class="col-xs-12">
		  				20|03|2022 16:00
		  			</div>
		  		</div>
		  		<div class="row no-padding">
		  			<div class="col-xs-6">
		  				<strong class="text-uppercase">Saonara</strong>
		  			</div>
		  			<div class="col-xs-6">
		  				<a href="{!! route('events.show', 10) !!}" class="btn sfondo-arancio testo-bianco">ISCRIVITI</a>
		  			</div>
		  		</div>
		  	</div>
		  </div>
  	</div>
</div>

resources/views/farmers/sidebar-prod.blade.php
<div id="sidebar-utente" class="col-sm-3 sfondo-bianco text-center padded-updown">
  <img id="avatar" src="{{ asset($farmer['image']) }}" alt="{{ $farmer['name'] }}-avatar" class="img-circle center-block img-responsive">
  <h2 class="text-center">{{ $farmer['name'] }}</h2>
  <h3 class="text-center">{{ $farmer['username'] }}</h3>
  <div class="row">
    <div class="col-sm-6 followers">
      <p>Followers</p>
      <span id="followers-number" class="testo-marrone testo-grande">120</span>
    </div>
    <div class="col-sm-6 following">
      <p>Following</p>
      <span id="following-number" class="testo-verde testo-grande">88</span>
    </div>
  </div>
  <div id="livello" class="row sfondo-verde padded-updown">
    <div class="col-sm-4"><span class="icone icone-semi-verde"></span></div>
    <div class="col-sm-4"><span class="icone icone-pianta-verde"></span></div>
    <div class="col-sm-4"><span class="icone icone-frutto-bianco"></span></div>
  </div>
  <div class="row sfondo-arancio padded-updown">
    <div class="col-sm-3"><span class="icone icone-foglio"></div>
    <div class="col-sm-9"><span class="testo-grande">crea evento</span></div>
  </div>
    <span class="icone icone-occhio center-block"></span>
    <p class="testo-grande">Come coltivo</p>
    <p>La produzione consiste in diverse varietà di ortaggi, tra cui spiccano pomodori
       in estate e varie brassicacee e
      finocchi in inverno, ma anche in seminativi, come farro dicocco e grano duro,
       fieno e granaglie per la stalla, olio e uva da vino: tutti prodotti da agricoltura biodinamica.</p>
    <p class="testo-grande">I miei principi</p>
    <p>L'agricoltura biodinamica e l'ecosostenibilit&agrave;</p>
    <div class="row">
      <div class="col-xs-12 sfondo-viola">
        <span class="icone icone-foglio pull-left"></span>
        <h3 class="panel-title testo-bianco">La Bioserra<br/>Eventi IN FARM</h3>
      </div>
    </div>
    <strong style="font-size: 24px">12 Ottobre</strong><br/>
    <span>Workshop</span><br/>
    <span>Consigli per il tuo orto</span>
</div>